package com.mortals.xhx.module.news.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.news.model.vo.NewsShareVo;
import lombok.Data;
/**
* 新闻分享记录信息实体对象
*
* @author zxfei
* @date 2023-09-18
*/
@Data
public class NewsShareEntity extends NewsShareVo {
    private static final long serialVersionUID = 1L;

    /**
    * 新闻ID
    */
    private Long newsId;
    /**
    * 分享人名称
    */
    private String shareName;
    /**
    * 累计分享次数
    */
    private Integer sumShares;
    /**
    * 备注
    */
    private String remark;
    /**
    * 最近分享时间
    */
    private Date shareTime;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof NewsShareEntity) {
            NewsShareEntity tmp = (NewsShareEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.newsId = 0L;
            this.shareName = "";
            this.sumShares = 0;
            this.remark = "";
            this.shareTime = new Date();
    }
}